Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Interface IBasicPrice

All Superinterfaces:
  IRuntimeNode

All Known Subinterfaces:
  IBomItem, IPrice

All Known Implementing Classes:
  BomNode, PricedNode, StateCountNode

public interface IBasicPrice
extends IRuntimeNode

Implemented by objects that can be priced. This interface contains methods for getting list, discount, and extended prices, and methods to retrieve pricing errors/warnings/messages.

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Fields inherited from interface oracle.apps.cz.cio.IRuntimeNode
`ALL_FEATURES, BOM_MODEL, BOM_OPTION_CLASS, BOM_STD_ITEM, BOOLEAN_FEATURE, COMPONENT, COMPONENT_SET, CONNECTOR, COUNT_FEATURE, CURRENT_CHILD, CURRENT_OR_DISCONTINUED_CHILD, DECIMAL_FEATURE, DISCONTINUED_CHILD, EDITABLE, EXTENDED_PASSIVE, IMMEDIATE_PASSIVE, INTEGER_FEATURE, OPTION, OPTION_FEATURE, RESOURCE, SPOOFED, TEXT_FEATURE, TOTAL`

Method Summary
`void` | `addListPricingNotification(java.lang.String message)` Adds list pricing notification string to currently stored notifications.
`java.lang.String` | `getComponentCode()` Returns the ComponentCode of the selected item ComponentCode is used to identify a component within an exploded bill of materials.
`int` | `getInventoryItemId()` Returns the inventory id of the item to be priced
`double` | `getListPrice()` Gets list price of item on price list specified in initParameters.
`java.lang.String` | `getListPricingNotifications()` Returns a string containing any pricing messages, warnings, or errors when asking list price
`int` | `getOrganizationId()` Returns the organisation id of the item to be priced
`int` | `getPricedNodeID()` Returns the PersistentID of the runtime node.
`double` | `getValue()` Returns the count of this item selected by user
`boolean` | `hasInventoryItemId()` Returns true if the selcected item has InventotyId (item is a BOM)
`boolean` | `hasListPrice()` Returns true if the node has already been priced false otherwise
`void` | `setListPrice(double listPrice)` Sets list price of selected item.

Methods inherited from interface oracle.apps.cz.cio.IRuntimeNode
`evaluateUiExpression, getAvailableEventCommands, getCaption, getChildByID, getChildByName, getChildByPersistentID, getChildren, getChildrenByType, getConfigItemID, getConfiguration, getCurrentValue, getDatabaseID, getDeltaValue, getDescription, getDiscontinuedChildren, getDisplayName, getDisplayNamePath, getInstalledValue, getLineType, getLineTypeName, getLoadStatus, getLocationID, getLocationTypeCode, getName, getParent, getPersistentID, getProperties, getPropertyByName, getRootInstance, getRuntimeID, getSelectionLineID, getSummaryChildren, getSummaryValue, getType, hasChildren, hasConfigItemID, hasCount, hasDecimalValue, hasDescription, hasIntegerValue, hasSelectionLineID, hasState, hasTextValue, hasTrackableAncestor, isAddChanged, isAttributeChanged, isChanged, isChildChanged, isDeleteChanged, isDeleted, isDescendantOf, isDiscontinued, isEditable, isEffective, isIBNodeChanged, isIBNodeOrDescendantChanged, isIBTrackable, isLoaded, isLocationChanged, isNameChanged, isNative, isNodeChanged, isQuoteable, isRoot, isRootInstance, isSatisfied, isTargetChanged, isTrackableRoot, isUiVisible, isUnsatisfied, isUnsatisfiedNode, isValid, isValueChanged, setLineType, setLocationID, setLocationTypeCode`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Method Detail

### getInventoryItemId

    public int getInventoryItemId()

  Returns the inventory id of the item to be priced

### getOrganizationId

    public int getOrganizationId()

  Returns the organisation id of the item to be priced

### setListPrice

    public void setListPrice(double listPrice)

  Sets list price of selected item.

### getValue

    public double getValue()

  Returns the count of this item selected by user

### addListPricingNotification

    public void addListPricingNotification(java.lang.String message)

  Adds list pricing notification string to currently stored notifications.

### getListPricingNotifications

    public java.lang.String getListPricingNotifications()

  Returns a string containing any pricing messages, warnings, or errors when asking list price

### hasListPrice

    public boolean hasListPrice()

  Returns true if the node has already been priced false otherwise

### getListPrice

    public double getListPrice()
                        throws PricingUnavailableException,
                               NonPricedNodeException

  Gets list price of item on price list specified in initParameters.
    `PricingUnavailableException`
    `NonPricedNodeException`

### hasInventoryItemId

    public boolean hasInventoryItemId()

  Returns true if the selcected item has InventotyId (item is a BOM)

### getComponentCode

    public java.lang.String getComponentCode()

  Returns the ComponentCode of the selected item ComponentCode is used to identify a component within an exploded bill of materials.

### getPricedNodeID

    public int getPricedNodeID()

  Returns the PersistentID of the runtime node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.